Check there is a perfect adequacy between the information stored in Coords about domains and the freefunction which
is in charge of counting all Coords objects in domain. This test was devised as at some point it was not true in parallel
due to some Coords that were discarded a bit too hastily.
